#!/usr/bin/env Rscript

options(stringsAsFactors=FALSE)
library(stringr)
library(abind)

# helper function
LoadToEnvironment <- function(RData, env = new.env()){
  load(RData, env)
  return(env) 
}

args = commandArgs(trailingOnly=TRUE)

if(length(args)==0 | any(sapply(args, function(fname) !grepl(".RData$",fname)) )) {
  print("Error in merge input")
  return()
}

output = args[1]

input = args[-1]

df = data.frame()
df_fair = data.frame()

for(fname in input) {
  env = LoadToEnvironment(fname)
  #print(fname)
  if(nrow(env$df)>0)
  	df = rbind(df, env$df)
  if(nrow(env$df_fair)>0)
  	df_fair = rbind(df_fair, env$df_fair)
}

save(df, df_fair, file=output)

a=1
b=2
d=a+b





